Subject: bug#58459: Getting a fresh emacs session with no customisation

From: uzibalqa <[email-masked]>
Date: Thu, 13 Oct 2022 02:02:48 +0000

------- Original Message -------
On Thursday, October 13th, 2022 at 1:14 AM, Stefan Kangas <[email-masked]> wrote:

> uzibalqa [email-masked] writes:
> 
> > > > I am continually amazed how unreactive emacs maintainers can be to
> > > > users. Either shaming them, make them look stupid
> > > 
> > > Wow? This discussion has been between you and Stefan Kangas, and at
> > > no point has Stefan been anything other than polite and informative!
> > 
> > Early on in the discussion, the response was immediately "notabug
> > close thanks". But perhaps you are right and I am being excessive.
> > Nevertheless, I am yet to be convinced how this resource thing is
> > straightforward.
> 
> 
> Please do not take us closing bugs personally. We have thousands of
> open bugs, and we try to handle them based on objective criteria.

Fine, but when this happens on Trisquel, then it is a topic of concern.  Aren't
maintainers supposed to work together?  Most times everybody works independently
with almost no concern or collaboration.
 
> > > > but then months or years later, it gets recognised they were right
> > > > all along.
> 
> 
> X resources are of course a rather esoteric feature these days, to most
> users. There's a reason they're not used all that often any more. But
> we will never stop supporting them, as this stuff has been that way for
> decades.
> 
> > Looks that "internal-set-lisp-face-attribute-from-resource" is doing the work.
> > So if emacs does not not even find an emacs init file, why does it start launching
> > them.
> 
> 
> Again, I think Emacs behaves correctly here. It's good to hear that
> using `inhibit-x-resources' fixes your problem.

I wonder the rational behind considering x-resources as authoritative.
As you mentioned, these days x-resources are a rather esoteric feature.
Your design should be the other way round. With a flag `enforce-x-resources'.
So one always gets vanilla emacs with no init file, or when the init file
does nothing, or something goes wrong.  It is very easy to make an init file
fail when one is writing emacs functionalities and packages.
 
> > Something must be going on, perhaps in the distro or desktop environment that could be
> > using something outside the traditional X11 approach to loading Xresources. Or something
> > else.
> > 
> > I am using one of the Official Gnu Distributions (Trisquel 9). These systems should work
> > well together with Gnu Programs. At least, it is always said things are planned to be this
> > way.
> 
> 
> Then you should investigate why this happens in your environment.
> If you find any bugs, you should report them to the appropriate people.
> If you find that it is indeed a bug in Trisquel, then it is not correct
> to report it here, as we can't do anything about it.

Will inform Ruben about it.  

> But note that it is good form to make sure that there is a bug before
> reporting one. I would ask in some support forum first.

It is also an emacs bug from my point of view.  Especially when you confirm 
that x-resources are not used all that often anymore.